pub mod model;
#[cfg(feature = "plot")]
pub mod plot;
pub mod solver;
mod util;

pub mod prelude {
	#[cfg(feature = "plot")]
	pub use crate::plot::{Plot, PlotBuilder, PlotBuilderError};
	pub use crate::{
		model::{Model, Settings},
		solver::{
			euler::{ExplicitEuler, ImplicitEuler},
			Solver,
		},
		util::{Mat, Vect},
	};
	#[cfg(feature = "plot")]
	pub use plotters::style::colors;
}
