use crate::util::*;

pub trait Settings {}

pub trait Model<T, S: Settings, const D: usize> {
	/// Returns f(x)
	fn f(&self, x: Vect<T, D>) -> Vect<T, D>;
	/// Returns df(x)/dx
	fn df(&self, x: Vect<T, D>) -> Mat<T, D, D>;
	fn get_settings(&self) -> &S;
	fn get_settings_mut(&mut self) -> &mut S;
}
